Project Chrono: chrono::cascade::ChCascadeMeshTools Class Reference

Static Public Member Functions | List of all members
chrono::cascade::ChCascadeMeshTools Class Reference
CASCADE module

## Description

Tools to convert an OpenCASCADE shapes into triangle meshes.

`#include <ChCascadeMeshTools.h>`

## Static Public Member Functions
static void | fillTriangleMeshFromCascadeFace (ChTriangleMeshConnected &mesh, const TopoDS_Face &F)
| This function can be used to convert a OpenCASCADE face into a triangle mesh.
static void | fillTriangleMeshFromCascade (ChTriangleMeshConnected &mesh, const TopoDS_Shape &shape, const ChCascadeTriangulate &tolerances)
| This function can be used to convert a OpenCASCADE shape into a Chrono ChTriangleMesh triangle mesh.
static void | fillObjFileFromCascade (std::ofstream &objfile, const TopoDS_Shape &shape, const ChCascadeTriangulate &tolerances)
| This function can be used to convert a OpenCASCADE shape into a 'obj' file format.

## Member Function Documentation

## ◆ fillObjFileFromCascade()

void ChCascadeMeshTools::fillObjFileFromCascade | ( | std::ofstream & | objfile,
|  | const TopoDS_Shape & | shape,
|  | const ChCascadeTriangulate & | tolerances )
| static

This function can be used to convert a OpenCASCADE shape into a 'obj' file format.

The file 'objfile' must be already opened, and empty. Also normals are saved.

Parameters

  objfile | the .obj file will be written here
  shape | OpenCASCADE face to be output as 'obj' file
  tolerances | tesselation tolerances

## ◆ fillTriangleMeshFromCascade()

void ChCascadeMeshTools::fillTriangleMeshFromCascade | ( | ChTriangleMeshConnected & | mesh,
|  | const TopoDS_Shape & | shape,
|  | const ChCascadeTriangulate & | tolerances )
| static

This function can be used to convert a OpenCASCADE shape into a Chrono ChTriangleMesh triangle mesh.

Parameters

  mesh | Mesh that will be filled with triangles
  shape | OpenCASCADE face to be meshed
  tolerances | tesselation tolerances

## ◆ fillTriangleMeshFromCascadeFace()

void ChCascadeMeshTools::fillTriangleMeshFromCascadeFace | ( | ChTriangleMeshConnected & | mesh,
|  | const TopoDS_Face & | F )
| static

This function can be used to convert a OpenCASCADE face into a triangle mesh.

The face must be already mshed (ex because you called fillTriangleMeshFromCascade before).

Parameters

  mesh | Mesh that will be filled with triangles
  F | OpenCASCADE face to be meshed

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_cascade/ChCascadeMeshTools.h
- D:/W/B/src/chrono-9.0.1/src/chrono_cascade/ChCascadeMeshTools.cpp